Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.framework
Class EPPEventException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.verisign.epp.exception.EPPException
                  com.verisign.epp.framework.EPPEventException

All Implemented Interfaces:
  java.io.Serializable

    public class EPPEventException

extends EPPException

The `EPPEventException` class defines an EPP Exception associated with EPPEvents.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $
See Also:
  `EPPEventHandler`, `EPPException`, Serialized Form

Constructor Summary
`EPPEventException()` Create an `EPPEventException` with the default message;
`EPPEventException(java.lang.String aInfo)` Create an `EPPEventException` with a custom message;

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPEventException

    public EPPEventException()

  Create an `EPPEventException` with the default message;

### EPPEventException

    public EPPEventException(java.lang.String aInfo)

  Create an `EPPEventException` with a custom message;

  Parameters:
    `aInfo` - A String with debug information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.